Index: code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj
===================================================================
--- code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 2020)
+++ code/branches/objecthierarchy/visual_studio/vc8/orxonox.vcproj	(revision 2030)
@@ -151,4 +151,8 @@
 			>
 			<File
+				RelativePath="..\..\src\orxonox\CameraHandler.cc"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\GraphicsEngine.cc"
 				>
@@ -186,24 +190,8 @@
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\orxonox\SignalHandler.cc"
-				>
-			</File>
 			<Filter
 				Name="objects"
 				>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Camera.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\CameraHandler.cc"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\DistanceTrigger.cc"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.cc"
 					>
@@ -226,15 +214,39 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Test.cc"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.cc"
 					>
 				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Trigger.cc"
-					>
-				</File>
 				<Filter
 					Name="worldentities"
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\Backlight.cc"
+						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\Camera.cc"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ControllableEntity.cc"
 						>
@@ -247,4 +259,24 @@
 						RelativePath="..\..\src\orxonox\objects\worldentities\MovableEntity.cc"
 						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ParticleSpawner.cc"
+						>
+						<FileConfiguration
+							Name="Debug|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
+						<FileConfiguration
+							Name="Release|Win32"
+							ExcludedFromBuild="true"
+							>
+							<Tool
+								Name="VCCLCompilerTool"
+							/>
+						</FileConfiguration>
 					</File>
 					<File
@@ -263,4 +295,12 @@
 						Name="pawns"
 						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\Pawn.cc"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\SpaceShip.cc"
+							>
+						</File>
 						<File
 							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\Spectator.cc"
@@ -519,4 +559,8 @@
 			>
 			<File
+				RelativePath="..\..\src\orxonox\CameraHandler.h"
+				>
+			</File>
+			<File
 				RelativePath="..\..\src\orxonox\GraphicsEngine.h"
 				>
@@ -538,24 +582,8 @@
 				>
 			</File>
-			<File
-				RelativePath="..\..\src\orxonox\SignalHandler.h"
-				>
-			</File>
 			<Filter
 				Name="objects"
 				>
 				<File
-					RelativePath="..\..\src\orxonox\objects\Camera.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\CameraHandler.h"
-					>
-				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\DistanceTrigger.h"
-					>
-				</File>
-				<File
 					RelativePath="..\..\src\orxonox\objects\Radar.h"
 					>
@@ -578,15 +606,23 @@
 				</File>
 				<File
+					RelativePath="..\..\src\orxonox\objects\Test.h"
+					>
+				</File>
+				<File
 					RelativePath="..\..\src\orxonox\objects\Tickable.h"
 					>
 				</File>
-				<File
-					RelativePath="..\..\src\orxonox\objects\Trigger.h"
-					>
-				</File>
 				<Filter
 					Name="worldentities"
 					>
 					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\Backlight.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\Camera.h"
+						>
+					</File>
+					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\ControllableEntity.h"
 						>
@@ -598,4 +634,8 @@
 					<File
 						RelativePath="..\..\src\orxonox\objects\worldentities\MovableEntity.h"
+						>
+					</File>
+					<File
+						RelativePath="..\..\src\orxonox\objects\worldentities\ParticleSpawner.h"
 						>
 					</File>
@@ -615,4 +655,12 @@
 						Name="pawns"
 						>
+						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\Pawn.h"
+							>
+						</File>
+						<File
+							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\SpaceShip.h"
+							>
+						</File>
 						<File
 							RelativePath="..\..\src\orxonox\objects\worldentities\pawns\Spectator.h"
